import * as React from 'react';
import { PopupPanel } from '../Components/Popups/AdaptablePopup/PopupPanel';
import { ColumnInfo } from './ColumnInfo';
import { Flex } from '../../components/Flex';
export const ColumnInfoPopup = (props) => {
    return (React.createElement(PopupPanel, { headerText: 'Column Info', glyphicon: 'info' },
        React.createElement(Flex, { flexDirection: "column", className: "twa:flex-1 twa:h-full twa:[--ab-grid-row-height:45px]" },
            React.createElement(ColumnInfo, { selectedColumnId: props.popupParams?.column?.columnId }))));
};
